/////////////////////////////////////////////////////////
// Customer.h - Delecaration for the Customer class.
// Tylor Emmett
// GSP 281 - 10/1/14
/////////////////////////////////////////////////////////

#include "Customer.h"
#include <sstream>
#include "Logger.h"

void Customer::Update(float dt)
{
	m_ShoppingTime -= dt;
	if(m_ShoppingTime <= 0.0f)
	{
		m_TargetFloor = 1;
		CallElevator();
	}

}

Customer::Customer(__int64 shopTime, __int64 ID, __int64 targetFloor):Actor(ID, targetFloor), m_ShoppingTime(shopTime)
{
	std::stringstream logMessage;
	logMessage << "Customer Added " << m_ID;
	Logger::GetInstance()->LogMessage(logMessage.str());
}
