/////////////////////////////////////////////////////////
// Customer.h - Delecaration for the Customer class.
// Tylor Emmett
// GSP 281 - 10/1/14
/////////////////////////////////////////////////////////

#pragma once
#include "Actor.h"

class Customer : public Actor
{
public:		
	__int64 m_ShoppingTime;											//How long the customer will stay on the floor once they arrive
	__int64 m_TimeOfArrival;										//Time the customer arrived on the floor.
public:
	void Update(float dt);											//Runs once per frame to update agent.
	Customer(__int64 shopTime, __int64 ID, __int64 targetFloor);	//Parameterized c-tor
private:
	Customer():Actor(-1,-1){}										//Private default c-tor to force use of parameterized c-tor.
};