/////////////////////////////////////////////////////////
// DataStorage.cpp - Implementation of the DataStorage class.
// Tylor Emmett
// GSP 281 - 10/1/14
/////////////////////////////////////////////////////////

#include "DataStorage.h"
#include "Building.h"

void DataStorage::AddData(ElevatorData* data)
{
	//Copy data to a new object, then add to vector.
	ElevatorData dataIn;
	dataIn.BoardTime = data->BoardTime;
	dataIn.DepartTime = data->DepartTime;
	dataIn.EndFloor = data->EndFloor;
	dataIn.StartFloor = data->StartFloor;
	dataIn.StartTime = data->StartTime;
	m_DataCache.push_back(dataIn);
}

void DataStorage::ProcessData()
{

}

DataStorage* DataStorage::GetInstance()
{
	static DataStorage instance;
	return &instance;
}

DataStorage::DataStorage()
{
	//Open file and write header
	outputFile.open("ElevatorOuput.dat", std::ios::app | std::ios::out);
	outputFile << "-----------------------" << std::endl
			   << "Begin New Elevator Data" << std::endl
			   << "-----------------------" << std::endl;

	outputFile << "Number of Elevators: " << Building::GetInstance()->GetElevatorCount() << std::endl;
}