/////////////////////////////////////////////////////////
// ElevatorData.h - Declaration of the ElevatorData class.
// Tylor Emmett
// GSP 281 - 10/1/14
/////////////////////////////////////////////////////////

#pragma once

struct ElevatorData
{
	float StartTime;	//Time actor calls elevator
	float BoardTime;	//Time actor boards elevator
	float DepartTime;	//Time actor leaves elevator
	__int64 StartFloor;	//Floor actor started on
	__int64 EndFloor;	//Floor actor ended on
	ElevatorData():StartTime(0),BoardTime(0),DepartTime(0),StartFloor(0),EndFloor(0)
	{

	}
};