#include "Logger.h"
#include "Model.h"

Logger* Logger::GetInstance()
{
	static Logger instance;
	return &instance;
}

void Logger::LogMessage(std::string message)
{
	m_DataLog << Model::GetInstance()->GetSimulationTime() << " : " << message << std::endl;
}

Logger::Logger()
{
	m_DataLog.open("EventLog.dat", std::ios::out | std::ios::app);
	m_DataLog  << "-----------------------" << std::endl
	     	   << "Begin New Elevator Data" << std::endl
			   << "-----------------------" << std::endl;
}

Logger::~Logger()
{
	m_DataLog.close();
}